libclamav/Makefile.in
3064a542
 # Makefile.in generated by automake 1.10.1 from Makefile.am.
e3aaff8e
 # @configure_input@
 
7c16e1bf
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
3064a542
 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
e3aaff8e
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 # PARTICULAR PURPOSE.
 
 @SET_MAKE@
 
 #
f377e052
 #  Copyright (C) 2002 - 2007 Tomasz Kojm <tkojm@clamav.net>
e3aaff8e
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
 #  the Free Software Foundation; either version 2 of the License, or
 #  (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU General Public License for more details.
 #
 #  You should have received a copy of the GNU General Public License
 #  along with this program; if not, write to the Free Software
48b7b4a7
 #  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 #  MA 02110-1301, USA.
7c16e1bf
 
 
e3aaff8e
 VPATH = @srcdir@
 pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@
 pkgincludedir = $(includedir)/@PACKAGE@
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
7c16e1bf
 install_sh_SCRIPT = $(install_sh) -c
e3aaff8e
 INSTALL_HEADER = $(INSTALL_DATA)
7c16e1bf
 transform = $(program_transform_name)
e3aaff8e
 NORMAL_INSTALL = :
 PRE_INSTALL = :
 POST_INSTALL = :
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
80cf6309
 @VERSIONSCRIPT_TRUE@am__append_1 = -Wl,@VERSIONSCRIPTFLAG@,@top_srcdir@/libclamav/libclamav.map
7c16e1bf
 subdir = libclamav
 DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
e8d1666f
 	$(srcdir)/Makefile.in
7c16e1bf
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
6053d09a
 am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
725a2969
 	$(top_srcdir)/m4/fdpassing.m4 $(top_srcdir)/m4/lib-link.m4 \
6d48ea88
 	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
4a40b66c
 	$(top_srcdir)/m4/mmap_private.m4 $(top_srcdir)/m4/resolv.m4 \
55144c47
 	$(top_srcdir)/configure.in
7c16e1bf
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
4c56bffa
 mkinstalldirs = $(install_sh) -d
7c16e1bf
 CONFIG_HEADER = $(top_builddir)/clamav-config.h
 CONFIG_CLEAN_FILES =
478ce4b2
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     *) f=$$p;; \
   esac;
 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
7c16e1bf
 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
 libLTLIBRARIES_INSTALL = $(INSTALL)
bdd702c5
 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
ae685a75
 libclamav_la_DEPENDENCIES = lzma/liblzma.la
09eab32a
 am_libclamav_la_OBJECTS = matcher-ac.lo matcher-bm.lo matcher.lo \
 	md5.lo others.lo readdb.lo cvd.lo dsig.lo str.lo scanners.lo \
c8f2d060
 	textdet.lo filetypes.lo rtf.lo blob.lo mbox.lo message.lo \
1d643803
 	table.lo text.lo ole2_extract.lo vba_extract.lo msexpand.lo \
4c4651ad
 	pe.lo disasm.lo upx.lo htmlnorm.lo chmunpack.lo rebuildpe.lo \
 	petite.lo wwunpack.lo unsp.lo aspack.lo packlibs.lo fsg.lo \
 	mew.lo upack.lo line.lo untar.lo unzip.lo inflate64.lo \
 	special.lo binhex.lo is_tar.lo tnef.lo autoit.lo strlcpy.lo \
 	regcomp.lo regerror.lo regexec.lo regfree.lo unarj.lo bzlib.lo \
 	nulsft.lo infblock.lo pdf.lo spin.lo yc.lo elf.lo sis.lo \
 	uuencode.lo phishcheck.lo phish_domaincheck_db.lo \
 	phish_whitelist.lo regex_list.lo regex_suffix.lo mspack.lo \
 	cab.lo entconv.lo hashtab.lo dconf.lo lzma_iface.lo explode.lo \
04f9bedf
 	textnorm.lo dlp.lo js-norm.lo uniq.lo version.lo
7c16e1bf
 libclamav_la_OBJECTS = $(am_libclamav_la_OBJECTS)
8ec38f70
 libclamav_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(libclamav_la_LDFLAGS) $(LDFLAGS) -o $@
097455e1
 libclamav_internal_utils_la_LIBADD =
3eaf4ea6
 am_libclamav_internal_utils_la_OBJECTS =  \
 	libclamav_internal_utils_la-str.lo \
 	libclamav_internal_utils_la-others.lo
097455e1
 libclamav_internal_utils_la_OBJECTS =  \
 	$(am_libclamav_internal_utils_la_OBJECTS)
 libclamav_internal_utils_la_LINK = $(LIBTOOL) --tag=CC \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
3eaf4ea6
 	$(libclamav_internal_utils_la_CFLAGS) $(CFLAGS) \
 	$(libclamav_internal_utils_la_LDFLAGS) $(LDFLAGS) -o $@
3064a542
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
4c56bffa
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
7c16e1bf
 am__depfiles_maybe = depfiles
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
8ec38f70
 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
7c16e1bf
 CCLD = $(CC)
8ec38f70
 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
 	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
 	$(LDFLAGS) -o $@
097455e1
 SOURCES = $(libclamav_la_SOURCES) \
 	$(libclamav_internal_utils_la_SOURCES)
 DIST_SOURCES = $(libclamav_la_SOURCES) \
 	$(libclamav_internal_utils_la_SOURCES)
f377e052
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
8ec38f70
 	install-dvi-recursive install-exec-recursive \
 	install-html-recursive install-info-recursive \
 	install-pdf-recursive install-ps-recursive install-recursive \
 	installcheck-recursive installdirs-recursive pdf-recursive \
 	ps-recursive uninstall-recursive
7c16e1bf
 includeHEADERS_INSTALL = $(INSTALL_HEADER)
 HEADERS = $(include_HEADERS)
8ec38f70
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
7c16e1bf
 ETAGS = etags
 CTAGS = ctags
f377e052
 DIST_SUBDIRS = $(SUBDIRS)
7c16e1bf
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
e3aaff8e
 AMTAR = @AMTAR@
cbdc099d
 AR = @AR@
7c16e1bf
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
e3aaff8e
 AWK = @AWK@
 CC = @CC@
7c16e1bf
 CCDEPMODE = @CCDEPMODE@
e3aaff8e
 CFGDIR = @CFGDIR@
7c16e1bf
 CFLAGS = @CFLAGS@
15d67313
 CHECK_CPPFLAGS = @CHECK_CPPFLAGS@
d1d558c9
 CHECK_LIBS = @CHECK_LIBS@
e3aaff8e
 CLAMAVGROUP = @CLAMAVGROUP@
 CLAMAVUSER = @CLAMAVUSER@
d685f6dd
 CLAMAV_MILTER_LIBS = @CLAMAV_MILTER_LIBS@
ae685a75
 CLAMAV_UNRAR_LIBS = @CLAMAV_UNRAR_LIBS@
e3aaff8e
 CLAMD_LIBS = @CLAMD_LIBS@
7c16e1bf
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CYGPATH_W = @CYGPATH_W@
e3aaff8e
 DBDIR = @DBDIR@
7c16e1bf
 DEFS = @DEFS@
e3aaff8e
 DEPDIR = @DEPDIR@
28241733
 DSYMUTIL = @DSYMUTIL@
6d48ea88
 DUMPBIN = @DUMPBIN@
7c16e1bf
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
6d48ea88
 FGREP = @FGREP@
e3aaff8e
 FRESHCLAM_LIBS = @FRESHCLAM_LIBS@
232c4b70
 GCOV = @GCOV@
 GENHTML = @GENHTML@
e3aaff8e
 GETENT = @GETENT@
fd08e02e
 GPERF = @GPERF@
6ce30242
 GREP = @GREP@
6053d09a
 HAVE_LIBGMP = @HAVE_LIBGMP@
8ec38f70
 INSTALL = @INSTALL@
7c16e1bf
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
e3aaff8e
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
232c4b70
 LCOV = @LCOV@
6d48ea88
 LD = @LD@
7c16e1bf
 LDFLAGS = @LDFLAGS@
6053d09a
 LIBBZ2 = @LIBBZ2@
 LIBBZ2_PREFIX = @LIBBZ2_PREFIX@
e3aaff8e
 LIBCLAMAV_LIBS = @LIBCLAMAV_LIBS@
 LIBCLAMAV_VERSION = @LIBCLAMAV_VERSION@
6053d09a
 LIBGMP = @LIBGMP@
 LIBGMP_PREFIX = @LIBGMP_PREFIX@
7c16e1bf
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
e3aaff8e
 LIBTOOL = @LIBTOOL@
6d48ea88
 LIPO = @LIPO@
e3aaff8e
 LN_S = @LN_S@
6053d09a
 LTLIBBZ2 = @LTLIBBZ2@
 LTLIBGMP = @LTLIBGMP@
7c16e1bf
 LTLIBOBJS = @LTLIBOBJS@
6c7dbf7d
 MAINT = @MAINT@
7c16e1bf
 MAKEINFO = @MAKEINFO@
8ec38f70
 MKDIR_P = @MKDIR_P@
6d48ea88
 NM = @NM@
28241733
 NMEDIT = @NMEDIT@
6d48ea88
 OBJDUMP = @OBJDUMP@
7c16e1bf
 OBJEXT = @OBJEXT@
6d48ea88
 OTOOL = @OTOOL@
 OTOOL64 = @OTOOL64@
e3aaff8e
 PACKAGE = @PACKAGE@
7c16e1bf
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
 PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@
 PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
e3aaff8e
 RANLIB = @RANLIB@
5ca7fd18
 SED = @SED@
7c16e1bf
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
e3aaff8e
 STRIP = @STRIP@
099cf13c
 THREAD_LIBS = @THREAD_LIBS@
e3aaff8e
 TH_SAFE = @TH_SAFE@
 VERSION = @VERSION@
80cf6309
 VERSIONSCRIPTFLAG = @VERSIONSCRIPTFLAG@
8ec38f70
 abs_builddir = @abs_builddir@
 abs_srcdir = @abs_srcdir@
 abs_top_builddir = @abs_top_builddir@
 abs_top_srcdir = @abs_top_srcdir@
7c16e1bf
 ac_ct_CC = @ac_ct_CC@
6d48ea88
 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
e3aaff8e
 am__include = @am__include@
7c16e1bf
 am__leading_dot = @am__leading_dot@
e3aaff8e
 am__quote = @am__quote@
478ce4b2
 am__tar = @am__tar@
 am__untar = @am__untar@
7c16e1bf
 bindir = @bindir@
 build = @build@
 build_alias = @build_alias@
 build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
8ec38f70
 builddir = @builddir@
7c16e1bf
 datadir = @datadir@
6ce30242
 datarootdir = @datarootdir@
 docdir = @docdir@
 dvidir = @dvidir@
7c16e1bf
 exec_prefix = @exec_prefix@
 host = @host@
 host_alias = @host_alias@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
6ce30242
 htmldir = @htmldir@
7c16e1bf
 includedir = @includedir@
 infodir = @infodir@
e3aaff8e
 install_sh = @install_sh@
7c16e1bf
 libdir = @libdir@
 libexecdir = @libexecdir@
6ce30242
 localedir = @localedir@
7c16e1bf
 localstatedir = @localstatedir@
6d48ea88
 lt_ECHO = @lt_ECHO@
7c16e1bf
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
6ce30242
 pdfdir = @pdfdir@
7c16e1bf
 prefix = @prefix@
 program_transform_name = @program_transform_name@
6ce30242
 psdir = @psdir@
7c16e1bf
 sbindir = @sbindir@
f5c83290
 sendmailprog = @sendmailprog@
7c16e1bf
 sharedstatedir = @sharedstatedir@
8ec38f70
 srcdir = @srcdir@
7c16e1bf
 sysconfdir = @sysconfdir@
 target = @target@
 target_alias = @target_alias@
 target_cpu = @target_cpu@
 target_os = @target_os@
 target_vendor = @target_vendor@
8ec38f70
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
f377e052
 SUBDIRS = lzma .
4c56bffa
 AM_CPPFLAGS = -I$(top_srcdir) -I@srcdir@/nsis -I@srcdir@/lzma
ae685a75
 libclamav_la_LIBADD = lzma/liblzma.la @CLAMAV_UNRAR_LIBS@ @LIBCLAMAV_LIBS@ @THREAD_LIBS@
097455e1
 libclamav_la_LDFLAGS = @TH_SAFE@ -version-info @LIBCLAMAV_VERSION@ \
 	-no-undefined $(am__append_1)
e3aaff8e
 include_HEADERS = clamav.h
 libclamav_la_SOURCES = \
77e42428
 	clamav.h \
8000d078
         matcher-ac.c \
         matcher-ac.h \
         matcher-bm.c \
         matcher-bm.h \
e3aaff8e
         matcher.c \
         matcher.h \
         md5.c \
         md5.h \
         others.c \
         others.h \
         readdb.c \
68fb8dd1
 	readdb.h \
43be1fc1
 	cvd.c \
6a2532ca
 	cvd.h \
 	dsig.c \
 	dsig.h \
e3aaff8e
         str.c \
 	str.h \
 	scanners.c \
85dd8460
 	scanners.h \
c8f2d060
 	textdet.c \
 	textdet.h \
888f5794
 	filetypes.c \
 	filetypes.h \
7021b545
 	filetypes_int.h \
52c2a8bd
 	rtf.c \
 	rtf.h \
e3aaff8e
 	blob.c \
 	blob.h \
 	mbox.c \
 	mbox.h \
 	message.c \
 	message.h \
 	table.c \
 	table.h \
 	text.c \
47bbbc56
 	text.h \
 	ole2_extract.c \
 	ole2_extract.h \
 	vba_extract.c \
f893c0f3
 	vba_extract.h \
341e5433
 	cltypes.h \
 	msexpand.c \
6307ca15
 	msexpand.h \
 	pe.c \
414abe87
 	pe.h \
4c4651ad
 	disasm.c \
 	disasm.h \
 	disasmpriv.h \
342e27a5
 	upx.c \
888f5794
 	upx.h \
 	htmlnorm.c \
a5373b64
 	htmlnorm.h \
 	chmunpack.c \
85dd8460
 	chmunpack.h \
 	rebuildpe.c \
 	rebuildpe.h \
 	petite.c \
5f1a932b
 	petite.h \
60cd49c9
 	wwunpack.c \
 	wwunpack.h \
81030038
 	unsp.c \
 	unsp.h \
2f73b977
 	aspack.c \
 	aspack.h \
5d048883
 	packlibs.c \
 	packlibs.h \
5f1a932b
 	fsg.c \
1a83f3b9
 	fsg.h \
4aa4a05c
 	mew.c \
 	mew.h \
e8042398
 	upack.c \
 	upack.h \
1a83f3b9
 	line.c \
2b259453
 	line.h \
 	untar.c \
c3a3be2d
 	untar.h \
f133da7a
 	unzip.c \
 	unzip.h \
f377e052
 	inflate64.c \
 	inflate64.h \
 	inffixed64.h \
 	inflate64_priv.h \
c3a3be2d
 	special.c \
0f5e1958
 	special.h \
 	binhex.c \
a7f5fd00
 	binhex.h \
 	is_tar.c \
f0bc32bd
 	is_tar.h \
 	tnef.c \
478ce4b2
 	tnef.h \
ed93f138
 	autoit.c \
 	autoit.h \
53ff1b04
 	regex/strlcpy.c \
 	regex/regcomp.c \
 	regex/regerror.c \
 	regex/regexec.c \
 	regex/regfree.c \
d13fdf03
 	regex/cclass.h \
 	regex/cname.h \
 	regex/regex.h \
 	regex/regex2.h \
 	regex/utils.h \
9d96e4b6
 	unarj.c \
 	unarj.h \
faaf436a
 	nsis/bzlib.c \
 	nsis/bzlib_private.h \
 	nsis/nsis_bzlib.h \
 	nsis/nulsft.c \
 	nsis/nulsft.h \
84f4e2bb
 	nsis/infblock.c \
8a65cd5a
 	nsis/nsis_zconf.h \
 	nsis/nsis_zlib.h \
 	nsis/nsis_zutil.h \
798308de
 	pdf.c \
c2dfe70e
 	pdf.h \
 	spin.c \
094116b2
 	spin.h \
822930fc
 	yc.c \
 	yc.h \
094116b2
 	elf.c \
46c07372
 	elf.h \
bf45bf13
 	execs.h \
 	sis.c \
3953039b
 	sis.h \
 	uuencode.c \
bb03e766
 	uuencode.h \
bd912dd8
 	phishcheck.c \
 	phishcheck.h \
 	phish_domaincheck_db.c \
 	phish_domaincheck_db.h \
 	phish_whitelist.c \
 	phish_whitelist.h \
b6927a7c
 	iana_cctld.h \
0a1fef4f
 	iana_tld.h \
bd912dd8
 	regex_list.c \
5b68299b
 	regex_list.h \
5ee56e41
 	regex_suffix.c \
 	regex_suffix.h \
24fd05e1
 	mspack.c \
 	mspack.h \
 	cab.c \
3506ac49
 	cab.h \
 	entconv.c \
 	entconv.h \
 	entitylist.h \
 	encoding_aliases.h \
 	hashtab.c \
bc93eda0
 	hashtab.h \
 	dconf.c \
06646acf
 	dconf.h \
f377e052
 	lzma_iface.c \
f8be651b
 	lzma_iface.h \
 	explode.c \
3064a542
 	explode.h \
 	textnorm.c \
a6e38800
 	textnorm.h \
 	dlp.c \
fd08e02e
 	dlp.h \
 	jsparse/js-norm.c \
 	jsparse/js-norm.h \
4a6ade44
 	jsparse/lexglobal.h \
937ade08
 	jsparse/textbuf.h \
 	uniq.c \
04f9bedf
 	uniq.h \
a5f0eabf
 	version.c\
 	version.h
097455e1
 
 libclamav_internal_utils_la_SOURCES = str.c \
 				    str.h \
 				    others.c \
3eaf4ea6
 				    others.h
e3aaff8e
 
097455e1
 libclamav_internal_utils_la_LDFLAGS = -static
3eaf4ea6
 libclamav_internal_utils_la_CFLAGS = -DCLI_MEMFUNSONLY
bdd702c5
 lib_LTLIBRARIES = libclamav.la
 noinst_LTLIBRARIES = libclamav_internal_utils.la
307e51c1
 EXTRA_DIST = regex/engine.c libclamav.map \
4a6ade44
 	     jsparse/generated/operators.h jsparse/generated/keywords.h jsparse/future_reserved_words.list\
 	     jsparse/keywords.list jsparse/special_keywords.list jsparse/operators.gperf
fd08e02e
 
dfc0c031
 COMMON_CLEANFILES = version.h version.h.tmp *.gcda *.gcno lzma/*.gcda lzma/*.gcno
fd08e02e
 @MAINTAINER_MODE_TRUE@BUILT_SOURCES = jsparse/generated/operators.h jsparse/generated/keywords.h jsparse-keywords.gperf
 @MAINTAINER_MODE_TRUE@GPERF_FLAGS = -E -t -L ANSI-C -C -F ', TOK_ERROR' -c
dfc0c031
 @MAINTAINER_MODE_FALSE@CLEANFILES = $(COMMON_CLEANFILES)
 @MAINTAINER_MODE_TRUE@CLEANFILES = $(COMMON_CLEANFILES) @srcdir@/jsparse/generated/operators.h @srcdir@/jsparse/generated/keywords.h
fd08e02e
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
e3aaff8e
 
 .SUFFIXES:
 .SUFFIXES: .c .lo .o .obj
6c7dbf7d
 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
7c16e1bf
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
 		&& exit 0; \
 	      exit 1;; \
 	  esac; \
 	done; \
4c56bffa
 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  libclamav/Makefile'; \
e3aaff8e
 	cd $(top_srcdir) && \
4c56bffa
 	  $(AUTOMAKE) --foreign  libclamav/Makefile
7c16e1bf
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
 	  *config.status*) \
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
 	esac;
 
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 
6c7dbf7d
 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
7c16e1bf
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
6c7dbf7d
 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
7c16e1bf
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
e3aaff8e
 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
 	@$(NORMAL_INSTALL)
8ec38f70
 	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
e3aaff8e
 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
 	  if test -f $$p; then \
478ce4b2
 	    f=$(am__strip_dir) \
3064a542
 	    echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
 	    $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
e3aaff8e
 	  else :; fi; \
 	done
 
 uninstall-libLTLIBRARIES:
 	@$(NORMAL_UNINSTALL)
8ec38f70
 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
478ce4b2
 	  p=$(am__strip_dir) \
3064a542
 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
e3aaff8e
 	done
 
 clean-libLTLIBRARIES:
 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
7c16e1bf
 	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
 	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
e7fe9178
 	  test "$$dir" != "$$p" || dir=.; \
7c16e1bf
 	  echo "rm -f \"$${dir}/so_locations\""; \
 	  rm -f "$${dir}/so_locations"; \
 	done
bdd702c5
 
 clean-noinstLTLIBRARIES:
 	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
 	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
 	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
 	  test "$$dir" != "$$p" || dir=.; \
 	  echo "rm -f \"$${dir}/so_locations\""; \
 	  rm -f "$${dir}/so_locations"; \
 	done
e3aaff8e
 libclamav.la: $(libclamav_la_OBJECTS) $(libclamav_la_DEPENDENCIES) 
8ec38f70
 	$(libclamav_la_LINK) -rpath $(libdir) $(libclamav_la_OBJECTS) $(libclamav_la_LIBADD) $(LIBS)
097455e1
 libclamav_internal_utils.la: $(libclamav_internal_utils_la_OBJECTS) $(libclamav_internal_utils_la_DEPENDENCIES) 
bdd702c5
 	$(libclamav_internal_utils_la_LINK)  $(libclamav_internal_utils_la_OBJECTS) $(libclamav_internal_utils_la_LIBADD) $(LIBS)
e3aaff8e
 
 mostlyclean-compile:
7c16e1bf
 	-rm -f *.$(OBJEXT)
e3aaff8e
 
 distclean-compile:
 	-rm -f *.tab.c
 
2f73b977
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aspack.Plo@am__quote@
ed93f138
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/autoit.Plo@am__quote@
0f5e1958
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/binhex.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/blob.Plo@am__quote@
faaf436a
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bzlib.Plo@am__quote@
24fd05e1
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cab.Plo@am__quote@
a5373b64
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chmunpack.Plo@am__quote@
43be1fc1
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cvd.Plo@am__quote@
bc93eda0
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dconf.Plo@am__quote@
4c4651ad
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/disasm.Plo@am__quote@
a6e38800
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dlp.Plo@am__quote@
6a2532ca
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dsig.Plo@am__quote@
094116b2
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/elf.Plo@am__quote@
3506ac49
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/entconv.Plo@am__quote@
f8be651b
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/explode.Plo@am__quote@
888f5794
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filetypes.Plo@am__quote@
5f1a932b
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fsg.Plo@am__quote@
3506ac49
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hashtab.Plo@am__quote@
888f5794
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/htmlnorm.Plo@am__quote@
84f4e2bb
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infblock.Plo@am__quote@
f377e052
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inflate64.Plo@am__quote@
a7f5fd00
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/is_tar.Plo@am__quote@
fd08e02e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/js-norm.Plo@am__quote@
3eaf4ea6
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libclamav_internal_utils_la-others.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libclamav_internal_utils_la-str.Plo@am__quote@
1a83f3b9
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/line.Plo@am__quote@
f377e052
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lzma_iface.Plo@am__quote@
8000d078
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matcher-ac.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matcher-bm.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matcher.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mbox.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md5.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/message.Plo@am__quote@
4aa4a05c
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mew.Plo@am__quote@
341e5433
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msexpand.Plo@am__quote@
24fd05e1
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mspack.Plo@am__quote@
faaf436a
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nulsft.Plo@am__quote@
47bbbc56
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ole2_extract.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/others.Plo@am__quote@
5d048883
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/packlibs.Plo@am__quote@
798308de
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pdf.Plo@am__quote@
6307ca15
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pe.Plo@am__quote@
85dd8460
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/petite.Plo@am__quote@
bd912dd8
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phish_domaincheck_db.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phish_whitelist.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phishcheck.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/readdb.Plo@am__quote@
85dd8460
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rebuildpe.Plo@am__quote@
53ff1b04
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regcomp.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regerror.Plo@am__quote@
bd912dd8
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regex_list.Plo@am__quote@
5ee56e41
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regex_suffix.Plo@am__quote@
53ff1b04
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regexec.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/regfree.Plo@am__quote@
52c2a8bd
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rtf.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scanners.Plo@am__quote@
bf45bf13
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sis.Plo@am__quote@
c3a3be2d
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/special.Plo@am__quote@
c2dfe70e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/spin.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/str.Plo@am__quote@
53ff1b04
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strlcpy.Plo@am__quote@
e3aaff8e
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/table.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text.Plo@am__quote@
c8f2d060
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/textdet.Plo@am__quote@
3064a542
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/textnorm.Plo@am__quote@
f0bc32bd
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tnef.Plo@am__quote@
9d96e4b6
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unarj.Plo@am__quote@
937ade08
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uniq.Plo@am__quote@
81030038
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unsp.Plo@am__quote@
2b259453
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/untar.Plo@am__quote@
f133da7a
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unzip.Plo@am__quote@
e8042398
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/upack.Plo@am__quote@
342e27a5
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/upx.Plo@am__quote@
3953039b
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uuencode.Plo@am__quote@
48b7b4a7
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vba_extract.Plo@am__quote@
04f9bedf
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Plo@am__quote@
60cd49c9
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wwunpack.Plo@am__quote@
822930fc
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/yc.Plo@am__quote@
e3aaff8e
 
 .c.o:
8ec38f70
 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
7c16e1bf
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
478ce4b2
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
7c16e1bf
 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
e3aaff8e
 
 .c.obj:
8ec38f70
 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
7c16e1bf
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
478ce4b2
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
7c16e1bf
 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
e3aaff8e
 
 .c.lo:
8ec38f70
 @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
7c16e1bf
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
478ce4b2
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
7c16e1bf
 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
e3aaff8e
 
53ff1b04
 strlcpy.lo: regex/strlcpy.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT strlcpy.lo -MD -MP -MF $(DEPDIR)/strlcpy.Tpo -c -o strlcpy.lo `test -f 'regex/strlcpy.c' || echo '$(srcdir)/'`regex/strlcpy.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/strlcpy.Tpo $(DEPDIR)/strlcpy.Plo
53ff1b04
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='regex/strlcpy.c' object='strlcpy.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o strlcpy.lo `test -f 'regex/strlcpy.c' || echo '$(srcdir)/'`regex/strlcpy.c
53ff1b04
 
 regcomp.lo: regex/regcomp.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT regcomp.lo -MD -MP -MF $(DEPDIR)/regcomp.Tpo -c -o regcomp.lo `test -f 'regex/regcomp.c' || echo '$(srcdir)/'`regex/regcomp.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/regcomp.Tpo $(DEPDIR)/regcomp.Plo
53ff1b04
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='regex/regcomp.c' object='regcomp.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o regcomp.lo `test -f 'regex/regcomp.c' || echo '$(srcdir)/'`regex/regcomp.c
53ff1b04
 
 regerror.lo: regex/regerror.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT regerror.lo -MD -MP -MF $(DEPDIR)/regerror.Tpo -c -o regerror.lo `test -f 'regex/regerror.c' || echo '$(srcdir)/'`regex/regerror.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/regerror.Tpo $(DEPDIR)/regerror.Plo
53ff1b04
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='regex/regerror.c' object='regerror.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o regerror.lo `test -f 'regex/regerror.c' || echo '$(srcdir)/'`regex/regerror.c
53ff1b04
 
 regexec.lo: regex/regexec.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT regexec.lo -MD -MP -MF $(DEPDIR)/regexec.Tpo -c -o regexec.lo `test -f 'regex/regexec.c' || echo '$(srcdir)/'`regex/regexec.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/regexec.Tpo $(DEPDIR)/regexec.Plo
53ff1b04
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='regex/regexec.c' object='regexec.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o regexec.lo `test -f 'regex/regexec.c' || echo '$(srcdir)/'`regex/regexec.c
53ff1b04
 
 regfree.lo: regex/regfree.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT regfree.lo -MD -MP -MF $(DEPDIR)/regfree.Tpo -c -o regfree.lo `test -f 'regex/regfree.c' || echo '$(srcdir)/'`regex/regfree.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/regfree.Tpo $(DEPDIR)/regfree.Plo
53ff1b04
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='regex/regfree.c' object='regfree.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o regfree.lo `test -f 'regex/regfree.c' || echo '$(srcdir)/'`regex/regfree.c
faaf436a
 
 bzlib.lo: nsis/bzlib.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bzlib.lo -MD -MP -MF $(DEPDIR)/bzlib.Tpo -c -o bzlib.lo `test -f 'nsis/bzlib.c' || echo '$(srcdir)/'`nsis/bzlib.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/bzlib.Tpo $(DEPDIR)/bzlib.Plo
faaf436a
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='nsis/bzlib.c' object='bzlib.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bzlib.lo `test -f 'nsis/bzlib.c' || echo '$(srcdir)/'`nsis/bzlib.c
faaf436a
 
 nulsft.lo: nsis/nulsft.c
8ec38f70
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT nulsft.lo -MD -MP -MF $(DEPDIR)/nulsft.Tpo -c -o nulsft.lo `test -f 'nsis/nulsft.c' || echo '$(srcdir)/'`nsis/nulsft.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/nulsft.Tpo $(DEPDIR)/nulsft.Plo
faaf436a
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='nsis/nulsft.c' object='nulsft.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
8ec38f70
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o nulsft.lo `test -f 'nsis/nulsft.c' || echo '$(srcdir)/'`nsis/nulsft.c
faaf436a
 
84f4e2bb
 infblock.lo: nsis/infblock.c
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT infblock.lo -MD -MP -MF $(DEPDIR)/infblock.Tpo -c -o infblock.lo `test -f 'nsis/infblock.c' || echo '$(srcdir)/'`nsis/infblock.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/infblock.Tpo $(DEPDIR)/infblock.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='nsis/infblock.c' object='infblock.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o infblock.lo `test -f 'nsis/infblock.c' || echo '$(srcdir)/'`nsis/infblock.c
 
fd08e02e
 js-norm.lo: jsparse/js-norm.c
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT js-norm.lo -MD -MP -MF $(DEPDIR)/js-norm.Tpo -c -o js-norm.lo `test -f 'jsparse/js-norm.c' || echo '$(srcdir)/'`jsparse/js-norm.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/js-norm.Tpo $(DEPDIR)/js-norm.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='jsparse/js-norm.c' object='js-norm.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o js-norm.lo `test -f 'jsparse/js-norm.c' || echo '$(srcdir)/'`jsparse/js-norm.c
 
3eaf4ea6
 libclamav_internal_utils_la-str.lo: str.c
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libclamav_internal_utils_la_CFLAGS) $(CFLAGS) -MT libclamav_internal_utils_la-str.lo -MD -MP -MF $(DEPDIR)/libclamav_internal_utils_la-str.Tpo -c -o libclamav_internal_utils_la-str.lo `test -f 'str.c' || echo '$(srcdir)/'`str.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/libclamav_internal_utils_la-str.Tpo $(DEPDIR)/libclamav_internal_utils_la-str.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='str.c' object='libclamav_internal_utils_la-str.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libclamav_internal_utils_la_CFLAGS) $(CFLAGS) -c -o libclamav_internal_utils_la-str.lo `test -f 'str.c' || echo '$(srcdir)/'`str.c
 
 libclamav_internal_utils_la-others.lo: others.c
 @am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libclamav_internal_utils_la_CFLAGS) $(CFLAGS) -MT libclamav_internal_utils_la-others.lo -MD -MP -MF $(DEPDIR)/libclamav_internal_utils_la-others.Tpo -c -o libclamav_internal_utils_la-others.lo `test -f 'others.c' || echo '$(srcdir)/'`others.c
 @am__fastdepCC_TRUE@	mv -f $(DEPDIR)/libclamav_internal_utils_la-others.Tpo $(DEPDIR)/libclamav_internal_utils_la-others.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='others.c' object='libclamav_internal_utils_la-others.lo' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libclamav_internal_utils_la_CFLAGS) $(CFLAGS) -c -o libclamav_internal_utils_la-others.lo `test -f 'others.c' || echo '$(srcdir)/'`others.c
 
e3aaff8e
 mostlyclean-libtool:
 	-rm -f *.lo
 
 clean-libtool:
 	-rm -rf .libs _libs
 install-includeHEADERS: $(include_HEADERS)
 	@$(NORMAL_INSTALL)
8ec38f70
 	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
e3aaff8e
 	@list='$(include_HEADERS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
478ce4b2
 	  f=$(am__strip_dir) \
7c16e1bf
 	  echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
 	  $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
e3aaff8e
 	done
 
 uninstall-includeHEADERS:
 	@$(NORMAL_UNINSTALL)
 	@list='$(include_HEADERS)'; for p in $$list; do \
478ce4b2
 	  f=$(am__strip_dir) \
7c16e1bf
 	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
 	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
e3aaff8e
 	done
 
f377e052
 # This directory's subdirectories are mostly independent; you can cd
 # into them and run `make' without going through this Makefile.
 # To change the values of `make' variables: instead of editing Makefiles,
 # (1) if the variable is set in `config.status', edit `config.status'
 #     (which will cause the Makefiles to be regenerated when you run `make');
 # (2) otherwise, pass the desired values on the `make' command line.
 $(RECURSIVE_TARGETS):
 	@failcom='exit 1'; \
 	for f in x $$MAKEFLAGS; do \
 	  case $$f in \
 	    *=* | --[!k]*);; \
 	    *k*) failcom='fail=yes';; \
 	  esac; \
 	done; \
 	dot_seen=no; \
 	target=`echo $@ | sed s/-recursive//`; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  echo "Making $$target in $$subdir"; \
 	  if test "$$subdir" = "."; then \
 	    dot_seen=yes; \
 	    local_target="$$target-am"; \
 	  else \
 	    local_target="$$target"; \
 	  fi; \
 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
 	  || eval $$failcom; \
 	done; \
 	if test "$$dot_seen" = "no"; then \
 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
 	fi; test -z "$$fail"
 
8ec38f70
 $(RECURSIVE_CLEAN_TARGETS):
f377e052
 	@failcom='exit 1'; \
 	for f in x $$MAKEFLAGS; do \
 	  case $$f in \
 	    *=* | --[!k]*);; \
 	    *k*) failcom='fail=yes';; \
 	  esac; \
 	done; \
 	dot_seen=no; \
 	case "$@" in \
 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
 	  *) list='$(SUBDIRS)' ;; \
 	esac; \
 	rev=''; for subdir in $$list; do \
 	  if test "$$subdir" = "."; then :; else \
 	    rev="$$subdir $$rev"; \
 	  fi; \
 	done; \
 	rev="$$rev ."; \
 	target=`echo $@ | sed s/-recursive//`; \
 	for subdir in $$rev; do \
 	  echo "Making $$target in $$subdir"; \
 	  if test "$$subdir" = "."; then \
 	    local_target="$$target-am"; \
 	  else \
 	    local_target="$$target"; \
 	  fi; \
 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
 	  || eval $$failcom; \
 	done && test -z "$$fail"
 tags-recursive:
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
 	done
 ctags-recursive:
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
 	done
 
e3aaff8e
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 	  done | \
3064a542
 	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
e3aaff8e
 	mkid -fID $$unique
7c16e1bf
 tags: TAGS
e3aaff8e
 
f377e052
 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
e3aaff8e
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	here=`pwd`; \
f377e052
 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
 	  include_option=--etags-include; \
 	  empty_fix=.; \
 	else \
 	  include_option=--include; \
 	  empty_fix=; \
 	fi; \
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
 	    test ! -f $$subdir/TAGS || \
 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
 	  fi; \
 	done; \
e3aaff8e
 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 	  done | \
3064a542
 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
e7fe9178
 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
 	  test -n "$$unique" || unique=$$empty_fix; \
 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
 	    $$tags $$unique; \
 	fi
7c16e1bf
 ctags: CTAGS
f377e052
 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
7c16e1bf
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 	  done | \
3064a542
 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
7c16e1bf
 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
 	     $$tags $$unique
e3aaff8e
 
 GTAGS:
 	here=`$(am__cd) $(top_builddir) && pwd` \
 	  && cd $(top_srcdir) \
 	  && gtags -i $(GTAGS_ARGS) $$here
 
 distclean-tags:
7c16e1bf
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
e3aaff8e
 
 distdir: $(DISTFILES)
8ec38f70
 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
 	  dist_files=`for file in $$list; do echo $$file; done | \
 	  sed -e "s|^$$srcdirstrip/||;t" \
 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 	case $$dist_files in \
 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 			   sort -u` ;; \
 	esac; \
 	for file in $$dist_files; do \
e3aaff8e
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 	  if test -d $$d/$$file; then \
8ec38f70
 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
e3aaff8e
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
 	    fi; \
 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
 	  else \
 	    test -f $(distdir)/$$file \
 	    || cp -p $$d/$$file $(distdir)/$$file \
 	    || exit 1; \
 	  fi; \
 	done
f377e052
 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
 	  if test "$$subdir" = .; then :; else \
 	    test -d "$(distdir)/$$subdir" \
8ec38f70
 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
f377e052
 	    || exit 1; \
 	    distdir=`$(am__cd) $(distdir) && pwd`; \
 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
 	    (cd $$subdir && \
 	      $(MAKE) $(AM_MAKEFLAGS) \
 	        top_distdir="$$top_distdir" \
 	        distdir="$$distdir/$$subdir" \
8ec38f70
 		am__remove_distdir=: \
 		am__skip_length_check=: \
f377e052
 	        distdir) \
 	      || exit 1; \
 	  fi; \
 	done
e3aaff8e
 check-am: all-am
fd08e02e
 check: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) check-recursive
e3aaff8e
 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
f377e052
 installdirs: installdirs-recursive
 installdirs-am:
7c16e1bf
 	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
8ec38f70
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
7c16e1bf
 	done
fd08e02e
 install: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) install-recursive
f377e052
 install-exec: install-exec-recursive
 install-data: install-data-recursive
 uninstall: uninstall-recursive
e3aaff8e
 
 install-am: all-am
 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
f377e052
 installcheck: installcheck-recursive
e3aaff8e
 install-strip:
 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
7c16e1bf
 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
e3aaff8e
 	  `test -z '$(STRIP)' || \
 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 mostlyclean-generic:
 
 clean-generic:
fd08e02e
 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
e3aaff8e
 
 distclean-generic:
478ce4b2
 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
e3aaff8e
 
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
 	@echo "it deletes files that may require special tools to rebuild."
fd08e02e
 	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
f377e052
 clean: clean-recursive
e3aaff8e
 
 clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
bdd702c5
 	clean-noinstLTLIBRARIES mostlyclean-am
e3aaff8e
 
f377e052
 distclean: distclean-recursive
7c16e1bf
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
8ec38f70
 	distclean-tags
e3aaff8e
 
f377e052
 dvi: dvi-recursive
e3aaff8e
 
 dvi-am:
 
f377e052
 html: html-recursive
7c16e1bf
 
f377e052
 info: info-recursive
e3aaff8e
 
 info-am:
 
 install-data-am: install-includeHEADERS
 
8ec38f70
 install-dvi: install-dvi-recursive
 
e3aaff8e
 install-exec-am: install-libLTLIBRARIES
 
8ec38f70
 install-html: install-html-recursive
 
f377e052
 install-info: install-info-recursive
e3aaff8e
 
 install-man:
 
8ec38f70
 install-pdf: install-pdf-recursive
 
 install-ps: install-ps-recursive
 
e3aaff8e
 installcheck-am:
 
f377e052
 maintainer-clean: maintainer-clean-recursive
7c16e1bf
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
e3aaff8e
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
f377e052
 mostlyclean: mostlyclean-recursive
e3aaff8e
 
 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 	mostlyclean-libtool
 
f377e052
 pdf: pdf-recursive
7c16e1bf
 
 pdf-am:
 
f377e052
 ps: ps-recursive
7c16e1bf
 
 ps-am:
 
8ec38f70
 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES
067ecc29
 
8ec38f70
 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
 	install-strip
e3aaff8e
 
8ec38f70
 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
 	all all-am check check-am clean clean-generic \
bdd702c5
 	clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
 	ctags ctags-recursive distclean distclean-compile \
 	distclean-generic distclean-libtool distclean-tags distdir dvi \
 	dvi-am html html-am info info-am install install-am \
 	install-data install-data-am install-dvi install-dvi-am \
 	install-exec install-exec-am install-html install-html-am \
f377e052
 	install-includeHEADERS install-info install-info-am \
8ec38f70
 	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
 	install-ps install-ps-am install-strip installcheck \
f377e052
 	installcheck-am installdirs installdirs-am maintainer-clean \
8ec38f70
 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
f377e052
 	tags tags-recursive uninstall uninstall-am \
8ec38f70
 	uninstall-includeHEADERS uninstall-libLTLIBRARIES
e3aaff8e
 
fd08e02e
 
04f9bedf
 .PHONY: version.h.tmp
b51745f5
 version.lo: version.h
04f9bedf
 version.h: version.h.tmp
add738d2
 	@if test -f version.h.static; then\
 		cp version.h.static version.h;\
 	elif ! diff $@ version.h.tmp >/dev/null 2>/dev/null; then\
 		cp version.h.tmp $@;\
04f9bedf
 	fi
 
 version.h.tmp:
a5f0eabf
 	@test -f version.h || touch version.h;\
 	rm -f $@;\
04f9bedf
 	REVISION="$$(LANG=C svnversion "$(top_srcdir)" 2>/dev/null || echo exported)";\
 	if test $$REVISION = "exported"; then\
add738d2
 		REVISION="$$(LANG=C cd "$(top_srcdir)"; git-svn info configure 2>/dev/null| awk '/Revision:/ { print $$2 }' || echo)";\
 		if test -n "$$REVISION"; then\
 			REVISION="$$REVISION-$$(LANG=C cd "$(top_srcdir)"; git-describe --always 2>/dev/null)";\
04f9bedf
 		fi;\
 	fi;\
add738d2
 	if test -n "$$REVISION"; then\
 		echo "#define REPO_VERSION \"devel-r$$REVISION\"" >> $@;\
 	else\
 		touch version.h.tmp;\
 	fi
04f9bedf
 
fd08e02e
 @MAINTAINER_MODE_TRUE@jsparse-keywords.gperf: jsparse/keywords.list jsparse/future_reserved_words.list jsparse/special_keywords.list
 @MAINTAINER_MODE_TRUE@	echo -e "struct keyword { const char *name; int val; };\n%%" >keywords-g-tmp
 @MAINTAINER_MODE_TRUE@	for i in `cat @srcdir@/jsparse/keywords.list`; do j=`echo $$i |tr \[a-z\] \[A-Z\]`; echo "$$i, TOK_$$j" >>keywords-g-tmp; done
 @MAINTAINER_MODE_TRUE@	for i in `cat @srcdir@/jsparse/future_reserved_words.list`; do echo "$$i, TOK_FUTURE_RESERVED_WORD" >>keywords-g-tmp; done
 @MAINTAINER_MODE_TRUE@	cat @srcdir@/jsparse/special_keywords.list >>keywords-g-tmp
 @MAINTAINER_MODE_TRUE@	mv keywords-g-tmp $@
 
 @MAINTAINER_MODE_TRUE@jsparse/generated/operators.h: jsparse/operators.gperf
 @MAINTAINER_MODE_TRUE@	$(GPERF) $(GPERF_FLAGS) -H op_hash -N in_op_set -W oplist $< >operators-tmp-g
 @MAINTAINER_MODE_TRUE@	grep -v '^#line' <operators-tmp-g | sed -e 's/^const struct/static const struct/' -e 's/register //g' >operators-tmp
 @MAINTAINER_MODE_TRUE@	rm operators-tmp-g
 @MAINTAINER_MODE_TRUE@	mv operators-tmp @srcdir@/jsparse/generated/operators.h
 
 @MAINTAINER_MODE_TRUE@jsparse/generated/keywords.h: jsparse-keywords.gperf
 @MAINTAINER_MODE_TRUE@	$(GPERF) $(GPERF_FLAGS) $< >keywords-tmp-g
 @MAINTAINER_MODE_TRUE@	grep -v '^#line' <keywords-tmp-g |  sed -e 's/^const struct/static const struct/' -e 's/register //g' >keywords-tmp
 @MAINTAINER_MODE_TRUE@	rm keywords-tmp-g
 @MAINTAINER_MODE_TRUE@	mv keywords-tmp @srcdir@/jsparse/generated/keywords.h
e3aaff8e
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT: